### Hierarchy

- HeaderWrapper

## Index

### Constructors

- constructor

### Accessors

- Header
- Relationships

### Methods

- addChildElement
- addImage
- addParagraph
- addTable
- createImage
- createParagraph
- createTable

## Constructors

### constructor

- new HeaderWrapper(media: Media, referenceId: number): HeaderWrapper

- - Defined in file/header-wrapper.ts:10

  #### Parameters

  - ##### media: Media

  - ##### referenceId: number

  #### Returns HeaderWrapper

## Accessors

### Header

- get Header(): Header

- - Defined in file/header-wrapper.ts:54

  #### Returns Header

### Relationships

- get Relationships(): Relationships

- - Defined in file/header-wrapper.ts:58

  #### Returns Relationships

## Methods

### addChildElement

- addChildElement(childElement: XmlComponent | string): void

- - Defined in file/header-wrapper.ts:35

  #### Parameters

  - ##### childElement: XmlComponent | string

  #### Returns void

### addImage

- addImage(image: Image): HeaderWrapper

- - Defined in file/header-wrapper.ts:49

  #### Parameters

  - ##### image: Image

  #### Returns HeaderWrapper

### addParagraph

- addParagraph(paragraph: Paragraph): void

- - Defined in file/header-wrapper.ts:17

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns void

### addTable

- addTable(table: Table): void

- - Defined in file/header-wrapper.ts:27

  #### Parameters

  - ##### table: Table

  #### Returns void

### createImage

- createImage(image: Buffer, width?: undefined | number, height?: undefined | number): void

- - Defined in file/header-wrapper.ts:39

  #### Parameters

  - ##### image: Buffer

  - ##### Optional width: undefined | number

  - ##### Optional height: undefined | number

  #### Returns void

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/header-wrapper.ts:21

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### createTable

- createTable(rows: number, cols: number): Table

- - Defined in file/header-wrapper.ts:31

  #### Parameters

  - ##### rows: number

  - ##### cols: number

  #### Returns Table

Generated using TypeDoc